summaryrefslogtreecommitdiff
path: root/packages/backend/src/server/api/mastodon/endpoints/notifications.ts (follow)
Commit message (Collapse)AuthorAgeFilesLines
* add missing "return reply" calls to async fastify routesHazelnoot2025-05-081-4/+4
| | | | Required, according to docs: https://fastify.dev/docs/latest/Reference/Routes/#async-await
* improve compatibility with multipart/form-data mastodon API requestsHazelnoot2025-05-081-4/+3
|
* fix type errors in mastodon APIHazelnoot2025-04-301-0/+1
|
* Ignore notifications that reference missing notesHazelnoot2025-03-271-0/+10
|
* rename MastodonConverters.ts to matching naming schemeHazelnoot2025-03-271-2/+2
|
* support reactions in mastodon APIHazelnoot2025-03-271-11/+12
|
* support Mastodon v4 "link header" paginationHazelnoot2025-03-271-3/+5
|
* fix empty response from /api/v1/notificationsHazelnoot2025-03-271-1/+1
|
* normalize mastodon BAD_REQUEST errorsHazelnoot2025-03-271-2/+2
|
* de-duplicate mastodon API loggingHazelnoot2025-03-271-51/+25
|
* refactor mastodon API and preserve remote user agent for requestsHazelnoot2025-03-271-35/+74
|
* improve mastodon note conversion and use access checks in more places ↵Hazelnoot2025-02-081-5/+8
| | | | (resolves #509)
* cleanup Mastodon API (resolves #804 and #865, partially resolves #492)Hazelnoot2025-02-081-50/+30
| | | | | | | | | | | | | * Fix TS errors and warnings * Fix ESLint errors and warnings * Fix property typos in various places * Fix property data conversion * Add missing entity properties * Normalize logging and reduce spam * Check for missing request parameters * Allow mastodon API to work with local debugging * Safer error handling * Fix quote-post detection
* add copyright text to all our filesdakkar2024-06-151-0/+5
|
* upd: change deps, fix a few bugs, update converterMar0xy2023-10-291-5/+4
| | | | | | | Fixes User and Notes count bug (transfem-org/Sharkey#113) Fixes build issues due to types (transfem-org/Sharkey#111) Return accounts and notes like Iceshrimp Use MFM class from Iceshrimp to fix HTML output for mastodon
* chore: lint says const happyMar0xy2023-09-241-1/+1
|
* chore: lint and update package nameMar0xy2023-09-241-37/+37
|
* upd: prettify layoutMar0xy2023-09-241-6/+6
|
* add: notification endpoints to masto apiMar0xy2023-09-241-0/+71